diff --git a/src/backend/pipeline/cont_execute.c b/src/backend/pipeline/cont_execute.c
index 061301f66..3191420ce 100644
--- a/src/backend/pipeline/cont_execute.c
+++ b/src/backend/pipeline/cont_execute.c
@@ -458,7 +458,7 @@ ContExecutorStartBatch(ContExecutor *exec)
 		{
 			char *proc_name = GetContQueryProcName(MyContQueryProc);
 
-			cq_stat_report(true);
+			cq_stat_report(false);
 
 			pgstat_report_activity(STATE_IDLE, proc_name);
 			dsm_cqueue_wait_non_empty(exec->cqueue, 0);
